package com.example.nfc.pdf;


import android.util.Log;

import com.itextpdf.text.Anchor;
import com.itextpdf.text.BaseColor;
import com.itextpdf.text.Document;
import com.itextpdf.text.Element;
import com.itextpdf.text.Font;
import com.itextpdf.text.Phrase;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfPageEventHelper;
import com.itextpdf.text.pdf.PdfWriter;

public final class PageNumeration extends PdfPageEventHelper
{
    private static String TAG        = PageNumeration.class.getSimpleName();
    private static Font FONT_FOOTER  = new Font(Font.FontFamily.TIMES_ROMAN,  8, Font.NORMAL, BaseColor.DARK_GRAY);

    PageNumeration()
    {

    }

    @Override
    public void onEndPage(PdfWriter writer, Document document)
    {
        try
        {
            PdfPCell cell;
            PdfPTable table = new PdfPTable(2);
            table.setWidthPercentage(100);
            table.setWidths(new float[]{3,1});

            //1st Column
            Anchor anchor = new Anchor(new Phrase("iText Pdf Sample Project", FONT_FOOTER));
            anchor.setReference( "http://mywebsite.com/");
            cell = new PdfPCell(anchor);

            cell.setHorizontalAlignment(Element.ALIGN_LEFT);
            cell.setBorder(0);
            cell.setPadding(2f);
            table.addCell(cell);
            table.setTotalWidth(document.getPageSize().getWidth()-document.leftMargin()-document.rightMargin());
            table.writeSelectedRows(0,-1,document.leftMargin(),document.bottomMargin()-5,writer.getDirectContent());

            //2nd Column
            cell = new PdfPCell(new Phrase("Page - ".concat(String.valueOf(writer.getPageNumber())), FONT_FOOTER));
            cell.setHorizontalAlignment(Element.ALIGN_CENTER);
            cell.setBorder(0);
            cell.setPadding(2f);
            table.addCell(cell);
            table.setTotalWidth(document.getPageSize().getWidth()-document.leftMargin()-document.rightMargin()-200);
            table.writeSelectedRows(0,-1,document.leftMargin(),document.bottomMargin()-5,writer.getDirectContent());


        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            Log.e(TAG,ex.toString());
        }
    }
}